DatabaseInsightsDataObject¶
- class oci.opsi.models.DatabaseInsightsDataObject(**kwargs)¶
Bases:
OpsiDataObjectDatabase insights data object.
Attributes:
A constant which can be used with the data_object_type property of a OpsiDataObject.
A constant which can be used with the data_object_type property of a OpsiDataObject.
A constant which can be used with the data_object_type property of a OpsiDataObject.
[Required] Gets the columns_metadata of this OpsiDataObject.
[Required] Gets the data_object_type of this OpsiDataObject.
Gets the description of this OpsiDataObject.
[Required] Gets the display_name of this OpsiDataObject.
Gets the group_names of this OpsiDataObject.
[Required] Gets the identifier of this OpsiDataObject.
Gets the name of this OpsiDataObject.
Gets the supported_query_params of this OpsiDataObject.
Gets the supported_query_time_period of this OpsiDataObject.
Methods:
__init__(**kwargs)Initializes a new DatabaseInsightsDataObject object with values from keyword arguments.
get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- DATA_OBJECT_TYPE_DATABASE_INSIGHTS_DATA_OBJECT = 'DATABASE_INSIGHTS_DATA_OBJECT'¶
A constant which can be used with the data_object_type property of a OpsiDataObject. This constant has a value of “DATABASE_INSIGHTS_DATA_OBJECT”
- DATA_OBJECT_TYPE_EXADATA_INSIGHTS_DATA_OBJECT = 'EXADATA_INSIGHTS_DATA_OBJECT'¶
A constant which can be used with the data_object_type property of a OpsiDataObject. This constant has a value of “EXADATA_INSIGHTS_DATA_OBJECT”
- DATA_OBJECT_TYPE_HOST_INSIGHTS_DATA_OBJECT = 'HOST_INSIGHTS_DATA_OBJECT'¶
A constant which can be used with the data_object_type property of a OpsiDataObject. This constant has a value of “HOST_INSIGHTS_DATA_OBJECT”
- __init__(**kwargs)¶
Initializes a new DatabaseInsightsDataObject object with values from keyword arguments. The default value of the
data_object_typeattribute of this class isDATABASE_INSIGHTS_DATA_OBJECTand it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):- Parameters
identifier (str) – The value to assign to the identifier property of this DatabaseInsightsDataObject.
data_object_type (str) – The value to assign to the data_object_type property of this DatabaseInsightsDataObject. Allowed values for this property are: “DATABASE_INSIGHTS_DATA_OBJECT”, “HOST_INSIGHTS_DATA_OBJECT”, “EXADATA_INSIGHTS_DATA_OBJECT”
display_name (str) – The value to assign to the display_name property of this DatabaseInsightsDataObject.
description (str) – The value to assign to the description property of this DatabaseInsightsDataObject.
name (str) – The value to assign to the name property of this DatabaseInsightsDataObject.
group_names (list[str]) – The value to assign to the group_names property of this DatabaseInsightsDataObject.
supported_query_time_period (str) – The value to assign to the supported_query_time_period property of this DatabaseInsightsDataObject.
columns_metadata (list[oci.opsi.models.DataObjectColumnMetadata]) – The value to assign to the columns_metadata property of this DatabaseInsightsDataObject.
supported_query_params (list[oci.opsi.models.OpsiDataObjectSupportedQueryParam]) – The value to assign to the supported_query_params property of this DatabaseInsightsDataObject.
- property columns_metadata¶
[Required] Gets the columns_metadata of this OpsiDataObject. Metadata of columns in a data object.
- Returns
The columns_metadata of this OpsiDataObject.
- Return type
- property data_object_type¶
[Required] Gets the data_object_type of this OpsiDataObject. Type of OPSI data object.
Allowed values for this property are: “DATABASE_INSIGHTS_DATA_OBJECT”, “HOST_INSIGHTS_DATA_OBJECT”, “EXADATA_INSIGHTS_DATA_OBJECT”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The data_object_type of this OpsiDataObject.
- Return type
str
- property description¶
Gets the description of this OpsiDataObject. Description of OPSI data object.
- Returns
The description of this OpsiDataObject.
- Return type
str
- property display_name¶
[Required] Gets the display_name of this OpsiDataObject. User-friendly name of OPSI data object.
- Returns
The display_name of this OpsiDataObject.
- Return type
str
- static get_subtype(object_dictionary)¶
Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- property group_names¶
Gets the group_names of this OpsiDataObject. Names of all the groups to which the data object belongs to.
- Returns
The group_names of this OpsiDataObject.
- Return type
list[str]
- property identifier¶
[Required] Gets the identifier of this OpsiDataObject. Unique identifier of OPSI data object.
- Returns
The identifier of this OpsiDataObject.
- Return type
str
- property name¶
Gets the name of this OpsiDataObject. Name of the data object, which can be used in data object queries just like how view names are used in a query.
- Returns
The name of this OpsiDataObject.
- Return type
str
- property supported_query_params¶
Gets the supported_query_params of this OpsiDataObject. Supported query parameters by this OPSI data object that can be configured while a data object query involving this data object is executed.
- Returns
The supported_query_params of this OpsiDataObject.
- Return type
- property supported_query_time_period¶
Gets the supported_query_time_period of this OpsiDataObject. Time period supported by the data object for quering data. Time period is in ISO 8601 format with respect to current time. Default is last 30 days represented by P30D. Examples: P90D (last 90 days), P4W (last 4 weeks), P2M (last 2 months), P1Y (last 12 months).
- Returns
The supported_query_time_period of this OpsiDataObject.
- Return type
str